
--I write out from excel a comma delimited file and then open notepad and do 
--a search and replace for commas with spaces i then import that file.
-- a bit clugey but hey it works.
					
-- sample data  34 0.54 1 0   frame 34  xscale yscale z scale
--				40 -1.15 1 0
--				46 1.35 1 0


utility motion "Input Keys"
(
	pickbutton op "Pick Object" width:140
	button fl "Pick Data " width:140 enabled:false
	
	local applyObj
	local motionPath
	
	on op picked obj do 
	(
		applyObj = obj
		fl.enabled = true
	)
	
	on fl pressed do
	(
		local ValArray = #()
		local strStore = "" as string

		-- choose a file and open it
		motionPath = (getOpenFileName "Choose Motion Data File") as string
		files = openFile motionPath

		
		-- do until we hit the end of the file
		while (eof files==false) do 
		(
			-- read in a line from the file
			local Search = (readline files) as string
			for x=1 to Search.count do
			(
				o = Search[x] as string
				
				-- if we hit a break... store the completed string
				if o==" " do
				(
					append ValArray strStore
					strStore = ""
					o = ""
				)
				strStore += o as string
			)
			-- add that last string
			append ValArray strStore

			-- cast our values to relevent types			
			local t = (ValArray[1] as integer) as time

    		local sx = ValArray[2] as float				
			local sy = ValArray[3] as float
			local sz = ValArray[4] as float			
			
			-- set the object position
			animate on, at time (t) 
				(
--				applyObj.position = [x,y,z]
				applyObj.scale = [sx,sy,sz]
				)
			
			
	
			-- print the result
			format "Frame: %, Scale: [%,%,%]\n" t sx sy sz
 
			-- nullify the worker variables
			ValArray=#()
			strStore = "" as string
		)	

		
	)
)